
AddCSLuaFile( "cl_init.lua" )
AddCSLuaFile( "shared.lua" )

// Serverside only variables

SWEP.Weight				= 5			// Decides whether we should switch from/to this
SWEP.AutoSwitchTo		= true		// Auto switch to if we pick it up
SWEP.AutoSwitchFrom		= true		// Auto switch from if you pick up a better weapon


SWEP.ActivityTranslate = {}
SWEP.ActivityTranslate [ ACT_HL2MP_IDLE ] 					= ACT_HL2MP_IDLE_PISTOL
SWEP.ActivityTranslate [ ACT_HL2MP_RUN ] 					= ACT_HL2MP_RUN_PISTOL
SWEP.ActivityTranslate [ ACT_HL2MP_IDLE_CROUCH ] 			= ACT_HL2MP_IDLE_CROUCH_PISTOL
SWEP.ActivityTranslate [ ACT_HL2MP_WALK_CROUCH ] 			= ACT_HL2MP_WALK_CROUCH_PISTOL
SWEP.ActivityTranslate [ ACT_HL2MP_GESTURE_RANGE_ATTACK ] 	= ACT_HL2MP_GESTURE_RANGE_ATTACK_PISTOL
SWEP.ActivityTranslate [ ACT_HL2MP_GESTURE_RELOAD ] 		= ACT_HL2MP_GESTURE_RELOAD_PISTOL
SWEP.ActivityTranslate [ ACT_HL2MP_JUMP ] 					= ACT_HL2MP_JUMP_PISTOL
SWEP.ActivityTranslate [ ACT_RANGE_ATTACK1 ] 				= ACT_RANGE_ATTACK_PISTOL

/*---------------------------------------------------------
   Name: weapon:TranslateActivity( )
   Desc: Translate a player's Activity into a weapon's activity
		 So for example, ACT_HL2MP_RUN becomes ACT_HL2MP_RUN_PISTOL
		 Depending on how you want the player to be holding the weapon
---------------------------------------------------------*/
function SWEP:TranslateActivity( act )

	if ( self.ActivityTranslate[ act ] != nil ) then
		return self.ActivityTranslate[ act ]
	end
	
	return -1

end

/*---------------------------------------------------------
   Name: OnRestore
   Desc: The game has just been reloaded. This is usually the right place
		to call the GetNetworked* functions to restore the script's values.
---------------------------------------------------------*/
function SWEP:OnRestore()
end


/*---------------------------------------------------------
   Name: AcceptInput
   Desc: Accepts input, return true to override/accept input
---------------------------------------------------------*/
function SWEP:AcceptInput( name, activator, caller )
	return false
end


/*---------------------------------------------------------
   Name: KeyValue
   Desc: Called when a keyvalue is added to us
---------------------------------------------------------*/
function SWEP:KeyValue( key, value )
end


/*---------------------------------------------------------
   Name: OnRemove
   Desc: Called just before entity is deleted
---------------------------------------------------------*/
function SWEP:OnRemove()
end

include('shared.lua')

